@charset "utf-8";

#ourStory {
  width: 100%;
  height: -webkit-fit-content;
  height: -moz-fit-content;
  height: fit-content;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.ourStory-header {
  position: relative;
  width: 100%;
  height: -webkit-fit-content;
  height: -moz-fit-content;
  height: fit-content;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  top: 0;
  left: 0;
}

.ourStory-backImg {
  width: 100%;
  height: 100vh;
  background-color: black;
}

.ourStory-backImg img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
  vertical-align: bottom;
  opacity: 0.6;
}

.ourStory-topText {
  position: absolute;
  top: 50%;
  left: 20%;
  -webkit-transform: translate(-20%, -50%);
  -ms-transform: translate(-20%, -50%);
  transform: translate(-20%, -50%);
  text-align: center;
}

.ourStory-topText p {
  color: white;
}

.ourStory-moreText {
  height: 0;
  overflow: hidden;
  opacity: 0;
  -webkit-transition: height .5s ease-in-out;
  -o-transition: height .5s ease-in-out;
  transition: height .5s ease-in-out;
  text-align: center;
}

.ourStory-moreText.opened {
  height: auto;
  opacity: 1;
  -webkit-transition: height .5s ease-in-out;
  -o-transition: height .5s ease-in-out;
  transition: height .5s ease-in-out;
}

.ourStory-moreText-contents {
  margin: 80px 100px;
}

#ourVision {
  width: 100%;
  /*height: -webkit-fit-content;
  height: -moz-fit-content;
  height: fit-content;*/
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.ourVision-header {
  position: relative;
  width: 100%;
  /*height: -webkit-fit-content;
  height: -moz-fit-content;
  height: fit-content;*/
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  top: 0;
  left: 0;
}

.ourVision-backImg {
  width: 100%;
  height: 100vh;
  background-color: black;
}

.ourVision-backImg img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
  vertical-align: bottom;
  opacity: 0.6;
}

.ourVision-topText {
  position: absolute;
  top: 50%;
  left: 80%;
  -webkit-transform: translate(-80%, -50%);
  -ms-transform: translate(-80%, -50%);
  transform: translate(-80%, -50%);
  text-align: center;
  text-shadow: 1px 1px 4px rgb(77, 77, 77);
}

.ourVision-topText p {
  color: white;
}

.ourVision-moreText {
  height: 0px;
  overflow: hidden;
  opacity: 0;
  -webkit-transition: height .5s ease-in-out;
  -o-transition: height .5s ease-in-out;
  transition: height .5s ease-in-out;
  text-align: center;
}

.ourVision-moreText.opened {
  height: auto;
  opacity: 1;
  -webkit-transition: height .5s ease-in-out;
  -o-transition: height .5s ease-in-out;
  transition: height .5s ease-in-out;
}

.ourVision-moreText-contents {
  margin: 80px 100px;
}

.topText-large {
  font-size: 4.5rem;
  letter-spacing: 0.3em;
  width: 600px;
  -webkit-margin-before: 0;
  margin-block-start: 0;
  -webkit-margin-after: 55px;
  margin-block-end: 55px;
}

.topText-medium {
  font-size: 1.8rem;
  letter-spacing: 0.1em;
  -webkit-margin-before: 0;
  margin-block-start: 0;
  -webkit-margin-after: 40px;
  margin-block-end: 40px;
}

.topText-small {
  font-size: 1.0rem;
  letter-spacing: 0.1em;
  -webkit-margin-before: 0;
  margin-block-start: 0;
  -webkit-margin-after: 0;
  margin-block-end: 0;
  margin: 0 auto;
  width: 500px;
}

.readMore,
.closeReadMore {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  margin: 40px auto;
  padding: 5px;
  color: white;
  text-decoration: none;
  width: 100px;
  height: 100px;
  border: solid 1px white;
  border-radius: 100%;
  font-size: 1.0rem;
  background-color: transparent;
  cursor: pointer;
  -webkit-transition: all .5s ease-in;
  -o-transition: all .5s ease-in;
  transition: all .5s ease-in;
}

.closeReadMore {
  width: 70px;
  height: 70px;
  color: #040404;
  border: solid 1px #040404;
}

@media (hover: hover) and (pointer: fine) {
  .readMore:hover,
  .closeReadMore:hover {
    background-color: #44a7354f;
    -webkit-transition: all .5s ease-in;
    -o-transition: all .5s ease-in;
    transition: all .5s ease-in;
  }
}

.moreText {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -ms-flex-direction: row;
  flex-direction: row;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
}

.ourVision-moreText-grid {
  text-align: left;
  display: grid;
  grid-auto-flow: column;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: min-content min-content min-content min-content min-content min-content;
  gap: 0 50px;
}

.ourVision-moreText-grid li {
  list-style-type: '・';
}

.moreText-eng {
  max-width: 50%;
  text-align: center;
  margin-right: 25px;
  line-height: 1.5rem;
  letter-spacing: 0.05rem;
}

.textLeft {
  text-align: left;
}

.moreText-jp {
  margin-left: 25px;
  text-align: start;
  -webkit-text-orientation: upright;
  text-orientation: upright;
  letter-spacing: 0.05em;
  line-height: 1.5em;
}

.moreText-eng li,
.moreText-jp li {
  list-style: none;
}

@media screen and (max-width: 959px) {
  #ourStory {
    width: 100%;
  }

  .ourStory-backImg {
    width: 100%;
    height: 80vh;
  }

  .ourStory-backImg img {
    width: 100%;
    height: 100%;
  }

  .ourStory-topText {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    text-align: center;
    text-shadow: 1px 1px 4px rgb(77, 77, 77);
    width: 90%;
  }

  .ourStory-moreText.opened {
    height: auto;
  }

  .ourStory-moreText-contents {
    margin: 30px;
  }

  #ourVision {
    width: 100%;
  }

  .ourVision-backImg {
    width: 100%;
    height: 80vh;
  }

  .ourVision-backImg img {
    width: 100%;
    height: 100%;
  }

  .ourVision-topText {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    text-align: center;
    text-shadow: 1px 1px 4px rgb(77, 77, 77);
    width: 90%;
  }

  .ourVision-moreText.opened {
    height: auto;
  }

  .ourVision-moreText-contents {
    margin: 30px;
  }

  .topText-large {
    font-size: 3.0rem;
    letter-spacing: 0.2em;
    width: 100%;
    -webkit-margin-before: 3.0rem;
    margin-block-start: 3.0rem;
    -webkit-margin-after: 40px;
    margin-block-end: 40px;
  }

  .topText-medium {
    font-size: 1.5rem;
    letter-spacing: 0.1em;
    -webkit-margin-before: 0;
    margin-block-start: 0;
    -webkit-margin-after: 30px;
    margin-block-end: 30px;
    width: 100%;
  }

  .topText-small {
    font-size: 1.0rem;
    letter-spacing: 0.1em;
    line-height: 1.6rem;
    -webkit-margin-before: 0;
    margin-block-start: 0;
    -webkit-margin-after: 0;
    margin-block-end: 0;
    margin: 0;
    width: 100%;
  }

  .moreText-eng {
    max-width: 400px;
    margin-right: 0;
  }

  .moreText-jp, .ourVision-jp {
    display: none;
  }

  .ourVision-moreText-grid {
    text-align: center;
    display: grid;
    grid-auto-flow: column;
    grid-template-columns: 1fr;
    grid-template-rows: min-content min-content min-content min-content min-content min-content;
    max-width: 400px;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
 }
}